<?php

namespace Lc\CaracoleBundle\Factory\Setting;

use App\Entity\Setting\SectionSetting;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\SovBundle\Factory\AbstractFactory;

class SectionSettingFactory extends AbstractFactory
{
    use MerchantFactoryTrait;

    public function create()
    {
        $sectionSetting = new SectionSetting();

        $sectionSetting->setMerchant($this->merchant);

        return $sectionSetting;
    }
}
