<?php

namespace Lc\CaracoleBundle\Factory\Ticket;

use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Factory\SectionFactoryTrait;
use Lc\SovBundle\Factory\Ticket\TicketFactory as SovTicketFactory;

class TicketFactory extends SovTicketFactory
{
    use MerchantFactoryTrait;

    public function create()
    {
        $ticket = parent::create();

        $ticket->setMerchant($this->merchant);

        return $ticket;
    }
}