<?php

namespace Lc\CaracoleBundle\Repository;

use Lc\SovBundle\Repository\AbstractRepositoryQuery as BaseAbstractRepositoryQuery;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\ORM\QueryBuilder;
use Knp\Component\Pager\PaginatorInterface;
use Lc\CaracoleBundle\Container\MyContainer;

abstract class AbstractRepositoryQuery extends BaseAbstractRepositoryQuery
{
    public function __construct(
        MyContainer $container,
        ServiceEntityRepository $repository,
        string $id,
        PaginatorInterface $paginator = null
    )
    {
        $this->container = $container;

        parent::__construct($repository, $id, $paginator);
    }
}
